Subject: RE: [Diffserv] draft-ietf-diffserv-model-01.txt

From: Andrew Smith <[email-masked]>
Date: Fri, 5 Nov 1999 15:13:07 -0800

In the instance that Kathie cited, we were looking for *specific* examples
that needed numeric parameters, not for generic ones.

But we were trying to describe a model for the complete current set of
diffserv Proposed Standards, not just for today's deployments of them ...
your statement does come over as rather fatalistic in your expectations for
richer diffserv implementations and deployments using the other PHBs.

Andrew

> -----Original Message-----
> From: Brian E Carpenter [mailto:[email-masked]]
> Sent: Friday, November 05, 1999 3:00 PM
> To: Andrew Smith
> Cc: 'Kathleen Nichols'; [email-masked]
> Subject: Re: [Diffserv] draft-ietf-diffserv-model-01.txt
> 
> 
> CSC is indeed the class selectors and since they are the only
> diffserv out there in the real world today, I think they
> should be mentioned whenever generic examples are needed.
> 
>    Brian
> 
> Andrew Smith wrote:
> > 
> > Kathie,
> > 
> > In your point 6, I'm not quite sure what "CSC" is but I 
> assume you mean the
> > old precedence PHB group. In general we tried to be 
> PHB-agnostic in this
> > draft: where specific PHBs are mentioned is where we 
> thought they provided
> > useful examples.
> > 
> > We wrote explicitly about EF and AF in section 7 because we 
> felt that they
> > have some numerical configuration parameters to them. 
> Precedence PHB group
> > does not really have those. We say e.g.
> > 
> > "However, PHBs such as EF [EF-PHB] and AF [AF-PHB] have
> >    configuration parameters which strongly suggest the sort of queue
> >    scheduling algorithm needed to implement them."
> > 
> > The definition of precedence PHBs from RFC2474 does not 
> really supply us
> > with any knobs to tweak: that's why this was not mentioned.
> > 
> > Now whether we have chosen the right sorts of knobs to 
> discuss for EF and AF
> > is a separate issue and I think we probably have another 
> round to do on
> > that.
> > 
> > Andrew
> > 
> > ****************************************************************
> > Andrew Smith                              tel: +1 (408) 579-2821
> > Extreme Networks                          fax: +1 (408) 579-3000
> > 3585 Monroe St.                   http://www.extremenetworks.com
> > Santa Clara CA 95051-1450        em:  [email-masked]
> > ****************************************************************
> > 
> > 
> > > -----Original Message-----
> > > From: Kathleen Nichols [mailto:[email-masked]]
> > > Sent: Friday, November 05, 1999 12:45 PM
> > > To: [email-masked]
> > > Subject: [Diffserv] draft-ietf-diffserv-model-01.txt
> > ...
> > >
> > > 6. Section 7 talks about queue sets and scheduling and does
> > > not mention the CSC PHB group defined in rfc2474. This should
> > > probably be corrected.
> > 
> > 
> > _______________________________________________
> > diffserv mailing list
> > [email-masked]
> > http://www.ietf.org/mailman/listinfo/diffserv
> > Archive: http://www-nrg.ee.lbl.gov/diff-serv-arch/
> 

_______________________________________________
diffserv mailing list
[email-masked]
http://www.ietf.org/mailman/listinfo/diffserv
Archive: http://www-nrg.ee.lbl.gov/diff-serv-arch/